'''
Einfacher Publisher
=============================
client.publish (sequentielles Publish) und
publish.multiple(msgs,...)
veröffentlichen jeweils "Einzel"-Topic, die vom Subscriper sequentiell empfangen werden

=> Dieses Skript setzt "subscriber_2.py" voraus

'''

import time

import paho.mqtt.client as mqtt
import paho.mqtt.publish as publish
import numpy as np

# --------------------------------------------------------------
# Parameterblock
mq_host = "127.0.0.1"        # lokaler PC
# mq_host = "172.18.45.150"    # Labor-Server
mq_topic = "test_172"   # letzte IP-Adr-Nr

# --------------------------------------------------------------

def on_connect(client, userdata, flags, rc):
    print("Connected with result code " + str(rc))


client = mqtt.Client()
client.on_connect = on_connect

client.connect(mq_host, 1883, 60)

client.loop_start()

t = 0.0
while True:
    time.sleep(2)
    t = t + 0.01
#     client.publish(f"{mq_topic}/temperature", t)
#     client.publish(f"{mq_topic}/sinus", np.sin(t))
    msgs = [(f"{mq_topic}/cos",np.cos(t)),
            (f"{mq_topic}/cos2",np.cos(t)*2),
            (f"{mq_topic}/ts",time.time())]
    publish.multiple(msgs, hostname=mq_host)
    print(msgs)
    